aboutsummaryrefslogtreecommitdiffstats
path: root/meta/recipes-connectivity/neard/neard
diff options
context:
space:
mode:
authorOlivier Guiter <olivier.guiter@linux.intel.com>2013-03-04 19:06:13 +0100
committerRichard Purdie <richard.purdie@linuxfoundation.org>2013-03-07 11:10:35 +0000
commitb2a74ae70725be7efc0226901fd560d3b3b48607 (patch)
treedf6ba9c4f7535cca82140eb4da86463117623ebf /meta/recipes-connectivity/neard/neard
parent7376f4685899708fced56f212467e78325c99095 (diff)
downloadopenembedded-core-contrib-b2a74ae70725be7efc0226901fd560d3b3b48607.tar.gz
Near Field communication recipe for neard 0.9
The Linux NFC project aims to provide a full NFC support for Linux. It is based on the neard NFC user space stack running on top of the Linux kernel NFC subsystem. The code generated using this recipe was tested on a ARM11 device, with a kernel 3.6, using, for the NFC hardware, a USB dongle with the PN533 chipset (SCL3711) Signed-off-by: Saul Wold <sgw@linux.intel.com>
Diffstat (limited to 'meta/recipes-connectivity/neard/neard')
-rw-r--r--meta/recipes-connectivity/neard/neard/neard42
1 files changed, 42 insertions, 0 deletions
diff --git a/meta/recipes-connectivity/neard/neard/neard b/meta/recipes-connectivity/neard/neard/neard
new file mode 100644
index 0000000000..5f36174d62
--- /dev/null
+++ b/meta/recipes-connectivity/neard/neard/neard
@@ -0,0 +1,42 @@
+#!/bin/sh
+
+DAEMON=/usr/sbin/neard
+PIDFILE=/var/run/neard.pid
+DESC="Linux NFC daemon"
+
+if [ -f /etc/default/neard ] ; then
+ . /etc/default/neard
+fi
+
+set -e
+
+do_start() {
+ $DAEMON
+}
+
+do_stop() {
+ start-stop-daemon --stop --name neard --quiet
+}
+
+case "$1" in
+ start)
+ echo "Starting $DESC"
+ do_start
+ ;;
+ stop)
+ echo "Stopping $DESC"
+ do_stop
+ ;;
+ restart|force-reload)
+ echo "Restarting $DESC"
+ do_stop
+ sleep 1
+ do_start
+ ;;
+ *)
+ echo "Usage: $0 {start|stop|restart|force-reload}" >&2
+ exit 1
+ ;;
+esac
+
+exit 0